# coding: utf-8
# Winki the Ripper - GTK frontend for mencoder, mplayer and lsdvd
# Copyright (C) 2004-2007 Velko Hristov
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


from winkirip.page_base import BasePage


class PageLicense(BasePage):
    def __init__(self, xml, app, druid):
        BasePage.__init__(self, xml, app, druid)
        return
        
    # -- methods inherited from page_base.BasePage --

    def get_widget_list(self):
        widgets = ['main']
        return widgets

    def get_signal_list(self):
        return {}

    def get_icon(self):
        return 'page_license.png'

    def get_title(self):
        return 'Winki the Ripper'

    def on_prepare(self):
        self.set_stoplight('none')
        return True

    def on_next(self):
        if not self.get_project():
            return False

        return True

    def on_prev(self):
        return True

    def can_exit(self):
        return True

    def update_project(self):
        return True

    def show_help(self):
        return BasePage.show_help(self)

# vim:number:autoindent:shiftwidth=4:tabstop=4:softtabstop=4:expandtab
